rya-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From miha...@apache.org
Subject incubator-rya git commit: Edited Readme to wake-up mirror process
Date Mon, 07 Dec 2015 12:08:41 GMT
Repository: incubator-rya
Updated Branches:
  refs/heads/RYA-INFRA-PUSH 5a03ef61a -> 2aea6297f


Edited Readme to wake-up mirror process


Project: http://git-wip-us.apache.org/repos/asf/incubator-rya/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-rya/commit/2aea6297
Tree: http://git-wip-us.apache.org/repos/asf/incubator-rya/tree/2aea6297
Diff: http://git-wip-us.apache.org/repos/asf/incubator-rya/diff/2aea6297

Branch: refs/heads/RYA-INFRA-PUSH
Commit: 2aea6297f122d9e487066b658807270b17cbcd2c
Parents: 5a03ef6
Author: Aaron Mihalik <mihalik@alum.mit.edu>
Authored: Mon Dec 7 07:08:28 2015 -0500
Committer: Aaron Mihalik <mihalik@alum.mit.edu>
Committed: Mon Dec 7 07:08:28 2015 -0500

----------------------------------------------------------------------
 pom.xml | 700 -----------------------------------------------------------
 1 file changed, 700 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-rya/blob/2aea6297/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
deleted file mode 100644
index 5f2164f..0000000
--- a/pom.xml
+++ /dev/null
@@ -1,700 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<!--
-Licensed to the Apache Software Foundation (ASF) under one
-or more contributor license agreements.  See the NOTICE file
-distributed with this work for additional information
-regarding copyright ownership.  The ASF licenses this file
-to you under the Apache License, Version 2.0 (the
-"License"); you may not use this file except in compliance
-with the License.  You may obtain a copy of the License at
-
-  http://www.apache.org/licenses/LICENSE-2.0
-
-Unless required by applicable law or agreed to in writing,
-software distributed under the License is distributed on an
-"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-KIND, either express or implied.  See the License for the
-specific language governing permissions and limitations
-under the License.
--->
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-    <modelVersion>4.0.0</modelVersion>
-    <parent>
-        <groupId>org.apache</groupId>
-        <artifactId>apache</artifactId>
-        <version>17</version>
-    </parent>
-
-    <groupId>org.apache.rya</groupId>
-    <artifactId>rya-project</artifactId>
-    <version>3.2.10-SNAPSHOT</version>
-
-    <packaging>pom</packaging>
-
-    <name>Apache Rya Project</name>
-    <!-- this is the year of inception at ASF -->
-    <inceptionYear>2015</inceptionYear>
-    <organization>
-        <name>The Apache Software Foundation</name>
-        <url>http://www.apache.org/</url>
-    </organization>
-    <licenses>
-        <license>
-            <name>Apache License, Version 2.0</name>
-            <url>http://www.apache.org/licenses/LICENSE-2.0</url>
-        </license>
-    </licenses>
-    <mailingLists>
-        <mailingList>
-            <name>Dev</name>
-            <subscribe>dev-subscribe@rya.incubator.apache.org</subscribe>
-            <unsubscribe>dev-unsubscribe@rya.incubator.apache.org</unsubscribe>
-            <post>dev@rya.incubator.apache.org</post>
-            <archive>http://mail-archives.apache.org/mod_mbox/rya-dev</archive>
-        </mailingList>
-    </mailingLists>
-    <prerequisites>
-        <maven>${maven.min-version}</maven>
-    </prerequisites>
-    <modules>
-        <module>common</module>
-        <module>dao</module>
-        <module>extras</module>
-        <module>osgi</module>
-        <module>pig</module>
-        <module>sail</module>
-        <module>web</module>
-    </modules>
-    <properties>
-        <openrdf.sesame.version>2.7.6</openrdf.sesame.version> <!-- Newest:
4.0.0 -->
-        <!--Cannot upgrade to openrdf.sesame 2.7.6 until RYA-9 is resolved -->
-
-        <accumulo.version>1.6.4</accumulo.version> <!-- Newest: 1.7.0 -->
-        <hadoop.version>2.5.2</hadoop.version> <!-- Newest: 2.7.1 -->
-
-        <pig.version>0.9.2</pig.version> <!-- Newest: 0.15.0 -->
-
-        <geomesa.version>1.1.0-rc.6</geomesa.version> <!-- Newest: 1.1.0-rc.6
-->
-        <lucene.version>3.6.2</lucene.version> <!-- Newest: 5.3.1 -->
-        <joda-time.version>2.1</joda-time.version> <!-- Newest: 2.9.1 -->
-
-        <mongodb.version>2.13.3</mongodb.version> <!-- Newest: 3.1.1 -->
-        <embed.mongo.version>1.50.0</embed.mongo.version> <!-- Newest: 1.50.0
-->
-
-        <blueprints.version>2.5.0</blueprints.version> <!-- Newest: Apache
3.1.0-incubating -->
-
-        <commons.lang.version>2.6</commons.lang.version> <!-- Newest: 2.6
-->
-        <commons.codec.version>1.10</commons.codec.version> <!-- Newest: 1.10
-->
-        <commons.pool.version>1.6</commons.pool.version> <!-- Newest: 1.6
-->
-
-        <gmaven.version>1.3</gmaven.version> <!-- Newest: 1.5 -->
-        <groovy.version>2.3.11</groovy.version> <!-- Newest: 2.4.5 -->
-
-        <guava.version>18.0</guava.version> <!-- Newest: 18.0 -->
-
-        <karaf.version>2.2.11</karaf.version> <!-- Newest: 4.0.3 -->
-        <mango.version>1.2.0</mango.version> <!-- Newest: 1.4.0 -->
-        <antlr-runtime.version>3.4</antlr-runtime.version> <!-- Newest: 3.5.2
-->
-        <ehcache.version>1.7.2</ehcache.version> <!-- Newest: 2.6.11 -->
-        <hamcrest.version>1.3</hamcrest.version> <!-- Newest: 1.3 -->
-        <camel.version>2.7.5</camel.version> <!-- Newest: 2.16.1 -->
-
-        <spring.version>3.2.15.RELEASE</spring.version> <!-- Newest: 4.2.3.RELEASE
-->
-        <spring.hadoop.version>1.0.2.RELEASE</spring.hadoop.version> <!--
Newest: 2.2.1.RELEASE -->
-        <spring.shell.version>1.1.0.RELEASE</spring.shell.version> <!-- Newest:
1.1.0.RELEASE -->
-
-        <junit.version>4.12</junit.version> <!-- Newest: 4.12 -->
-        <mockito.version>1.10.19</mockito.version> <!-- Newest: 1.10.19 -->
-        <mrunit.version>1.1.0</mrunit.version> <!-- Newest: 1.1.0 -->
-        <slf4j.version>1.6.6</slf4j.version> <!-- Newest: 1.7.13 -->
-
-        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
-        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
-
-        <!-- the maven-release-plugin makes this recommendation, due to plugin bugs -->
-        <maven.min-version>3.0.4</maven.min-version>
-    </properties>
-    <dependencyManagement>
-        <dependencies>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.api</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.sail</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>accumulo.rya</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>mongodb.rya</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>accumulo.utils</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.prospector</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.provenance</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.indexing</artifactId>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.indexing</artifactId>
-                <classifier>accumulo-server</classifier>
-                <version>${project.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>rya.indexing</artifactId>
-                <classifier>map-reduce</classifier>
-                <version>${project.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.accumulo</groupId>
-                <artifactId>accumulo-core</artifactId>
-                <version>${accumulo.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.rya</groupId>
-                <artifactId>sesame-runtime-osgi</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-runtime</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-model</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-query</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-queryalgebra-model</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-queryparser-sparql</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-queryresultio-sparqlxml</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-rio-rdfxml</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-runtime-osgi</artifactId>
-                <version>${openrdf.sesame.version}</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.openrdf.sesame</groupId>
-                        <artifactId>sesame-http-client</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.openrdf.sesame</groupId>
-                        <artifactId>sesame-http-server-spring</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-rio-ntriples</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-rio-nquads</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-rio-trig</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-queryalgebra-evaluation</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-queryresultio-sparqljson</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.openrdf.sesame</groupId>
-                <artifactId>sesame-repository-api</artifactId>
-                <version>${openrdf.sesame.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>com.google.guava</groupId>
-                <artifactId>guava</artifactId>
-                <version>${guava.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.hamcrest</groupId>
-                <artifactId>hamcrest-all</artifactId>
-                <version>${hamcrest.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.camel</groupId>
-                <artifactId>camel-core</artifactId>
-                <version>${camel.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.camel</groupId>
-                <artifactId>camel-test</artifactId>
-                <version>${camel.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.slf4j</groupId>
-                <artifactId>slf4j-api</artifactId>
-                <version>${slf4j.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.slf4j</groupId>
-                <artifactId>slf4j-log4j12</artifactId>
-                <version>${slf4j.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.hadoop</groupId>
-                <artifactId>hadoop-common</artifactId>
-                <version>${hadoop.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>com.tinkerpop.blueprints</groupId>
-                <artifactId>blueprints-core</artifactId>
-                <version>${blueprints.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>com.tinkerpop.blueprints</groupId>
-                <artifactId>blueprints-sail-graph</artifactId>
-                <version>${blueprints.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>com.tinkerpop.gremlin</groupId>
-                <artifactId>gremlin-groovy</artifactId>
-                <version>${blueprints.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>com.tinkerpop.rexster</groupId>
-                <artifactId>rexster-server</artifactId>
-                <version>${blueprints.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.mongodb</groupId>
-                <artifactId>mongo-java-driver</artifactId>
-                <version>${mongodb.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>de.flapdoodle.embed</groupId>
-                <artifactId>de.flapdoodle.embed.mongo</artifactId>
-                <version>${embed.mongo.version}</version>
-            </dependency>
-
-            <!-- Groovy -->
-            <dependency>
-                <groupId>org.codehaus.groovy</groupId>
-                <artifactId>groovy-all</artifactId>
-                <version>${groovy.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.codehaus.gmaven.runtime</groupId>
-                <artifactId>gmaven-runtime-1.7</artifactId>
-                <version>${gmaven.version}</version>
-                <exclusions>
-                    <exclusion>
-                        <groupId>org.codehaus.groovy</groupId>
-                        <artifactId>groovy-all</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-
-            <!-- Spring -->
-            <dependency>
-                <groupId>org.springframework.shell</groupId>
-                <artifactId>spring-shell</artifactId>
-                <version>${spring.shell.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework</groupId>
-                <artifactId>spring-context</artifactId>
-                <version>${spring.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework</groupId>
-                <artifactId>spring-core</artifactId>
-                <version>${spring.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework</groupId>
-                <artifactId>spring-web</artifactId>
-                <version>${spring.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework</groupId>
-                <artifactId>spring-webmvc</artifactId>
-                <version>${spring.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework</groupId>
-                <artifactId>spring-beans</artifactId>
-                <version>${spring.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework</groupId>
-                <artifactId>spring-test</artifactId>
-                <version>${spring.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.springframework.data</groupId>
-                <artifactId>spring-data-hadoop</artifactId>
-                <version>${spring.hadoop.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.karaf.shell</groupId>
-                <artifactId>org.apache.karaf.shell.console</artifactId>
-                <version>${karaf.version}</version>
-                <scope>provided</scope>
-            </dependency>
-
-            <!-- Commons -->
-            <dependency>
-                <groupId>commons-lang</groupId>
-                <artifactId>commons-lang</artifactId>
-                <version>${commons.lang.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>commons-codec</groupId>
-                <artifactId>commons-codec</artifactId>
-                <version>${commons.codec.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>commons-pool</groupId>
-                <artifactId>commons-pool</artifactId>
-                <version>${commons.pool.version}</version>
-            </dependency>
-
-            <!-- Free Text Indexing -->
-            <dependency>
-                <groupId>org.apache.lucene</groupId>
-                <artifactId>lucene-core</artifactId>
-                <version>${lucene.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.lucene</groupId>
-                <artifactId>lucene-analyzers</artifactId>
-                <version>${lucene.version}</version>
-            </dependency>
-
-            <!-- Geo Indexing -->
-            <dependency>
-                <groupId>org.locationtech.geomesa</groupId>
-                <artifactId>geomesa-accumulo-datastore</artifactId>
-                <version>${geomesa.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.locationtech.geomesa</groupId>
-                <artifactId>geomesa-distributed-runtime</artifactId>
-                <version>${geomesa.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>joda-time</groupId>
-                <artifactId>joda-time</artifactId>
-                <version>${joda-time.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.apache.pig</groupId>
-                <artifactId>pig</artifactId>
-                <version>${pig.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.antlr</groupId>
-                <artifactId>antlr-runtime</artifactId>
-                <version>${antlr-runtime.version}</version>
-                <scope>provided</scope>
-            </dependency>
-
-            <dependency>
-                <groupId>net.sf.ehcache</groupId>
-                <artifactId>ehcache-core</artifactId>
-                <version>${ehcache.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.calrissian.mango</groupId>
-                <artifactId>mango-core</artifactId>
-                <version>${mango.version}</version>
-            </dependency>
-
-            <dependency>
-                <groupId>org.mockito</groupId>
-                <artifactId>mockito-all</artifactId>
-                <version>${mockito.version}</version>
-                <scope>test</scope>
-            </dependency>
-            <dependency>
-                <groupId>junit</groupId>
-                <artifactId>junit</artifactId>
-                <version>${junit.version}</version>
-                <scope>test</scope>
-            </dependency>
-            <dependency>
-                <groupId>org.apache.mrunit</groupId>
-                <artifactId>mrunit</artifactId>
-                <version>${mrunit.version}</version>
-                <classifier>hadoop2</classifier>
-                <scope>test</scope>
-            </dependency>
-        </dependencies>
-    </dependencyManagement>
-
-    <build>
-        <pluginManagement>
-            <plugins>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-compiler-plugin</artifactId>
-                    <configuration>
-                        <encoding>${project.build.sourceEncoding}</encoding>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-resources-plugin</artifactId>
-                    <configuration>
-                        <encoding>${project.build.sourceEncoding}</encoding>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-surefire-plugin</artifactId>
-                    <configuration>
-                        <argLine>-Dfile.encoding=${project.build.sourceEncoding}</argLine>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-checkstyle-plugin</artifactId>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-jar-plugin</artifactId>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-javadoc-plugin</artifactId>
-                    <configuration>
-                        <skip>true</skip>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-dependency-plugin</artifactId>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-enforcer-plugin</artifactId>
-                    <configuration>
-                        <rules>
-                            <requireMavenVersion>
-                                <version>[${maven.min-version},)</version>
-                            </requireMavenVersion>
-                        </rules>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-release-plugin</artifactId>
-                    <configuration>
-                        <allowTimestampedSnapshots>true</allowTimestampedSnapshots>
-                        <autoVersionSubmodules>true</autoVersionSubmodules>
-                        <goals>install</goals>
-                    </configuration>
-                </plugin>
-                <plugin>
-                    <groupId>org.codehaus.gmaven</groupId>
-                    <artifactId>gmaven-plugin</artifactId>
-                    <version>${gmaven.version}</version>
-                    <dependencies>
-                        <dependency>
-                            <groupId>org.codehaus.groovy</groupId>
-                            <artifactId>groovy-all</artifactId>
-                            <version>${groovy.version}</version>
-                        </dependency>
-                        <dependency>
-                            <groupId>org.codehaus.gmaven.runtime</groupId>
-                            <artifactId>gmaven-runtime-1.7</artifactId>
-                            <version>${gmaven.version}</version>
-                            <exclusions>
-                                <exclusion>
-                                    <groupId>org.codehaus.groovy</groupId>
-                                    <artifactId>groovy-all</artifactId>
-                                </exclusion>
-                            </exclusions>
-                        </dependency>
-                    </dependencies>
-                    <executions>
-                        <execution>
-                            <configuration>
-                                <providerSelection>1.7</providerSelection>
-                            </configuration>
-                            <goals>
-                                <goal>generateStubs</goal>
-                                <goal>compile</goal>
-                                <goal>generateTestStubs</goal>
-                                <goal>testCompile</goal>
-                            </goals>
-                        </execution>
-                    </executions>
-                </plugin>
-                <plugin>
-                    <groupId>org.apache.maven.plugins</groupId>
-                    <artifactId>maven-shade-plugin</artifactId>
-                    <configuration>
-                        <shadedArtifactAttached>true</shadedArtifactAttached>
-                    </configuration>
-                    <executions>
-                        <execution>
-                            <phase>package</phase>
-                            <goals>
-                                <goal>shade</goal>
-                            </goals>
-                        </execution>
-                    </executions>
-                </plugin>
-                <plugin>
-                    <!-- Apache Release Audit Tool - reports missing license headers and
other issues. -->
-                    <!-- mvn apache-rat:rat -->
-                    <!-- mvn apache-rat:check -->
-                    <groupId>org.apache.rat</groupId>
-                    <artifactId>apache-rat-plugin</artifactId>
-                    <configuration>
-                        <excludes>
-                            <!-- RDF data Files -->
-                            <exclude>**/*.ntriples</exclude>
-                            <exclude>**/*.trig</exclude>
-                            <exclude>**/*.ttl</exclude>
-                            <exclude>**/*.owl</exclude>
-                            <exclude>**/*.nt</exclude>
-
-                            <!-- Services Files -->
-                            <exclude>**/resources/META-INF/services/**</exclude>
-                        </excludes>
-                    </configuration>
-                </plugin>
-            </plugins>
-        </pluginManagement>
-
-        <plugins>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-shade-plugin</artifactId>
-                <version>2.3</version>
-            </plugin>
-            <plugin>
-                <artifactId>maven-source-plugin</artifactId>
-                <executions>
-                    <execution>
-                        <id>attach-sources</id>
-                        <phase>package</phase>
-                        <goals>
-                            <goal>jar-no-fork</goal>
-                        </goals>
-                    </execution>
-                </executions>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-compiler-plugin</artifactId>
-                <configuration>
-                    <source>1.6</source>
-                    <target>1.6</target>
-                </configuration>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-enforcer-plugin</artifactId>
-                <executions>
-                    <execution>
-                        <id>enforce-mvn</id>
-                        <goals>
-                            <goal>enforce</goal>
-                        </goals>
-                    </execution>
-                </executions>
-            </plugin>
-            <plugin>
-                <groupId>org.apache.maven.plugins</groupId>
-                <artifactId>maven-surefire-plugin</artifactId>
-                <configuration>
-                    <excludes>
-                        <exclude>**/*IntegrationTest.java
-                        </exclude>
-                    </excludes>
-                </configuration>
-            </plugin>
-        </plugins>
-    </build>
-
-    <repositories>
-        <repository>
-            <id>LocationTech - SNAPSHOT</id>
-            <url>https://repo.locationtech.org/content/repositories/snapshots/</url>
-        </repository>
-        <repository>
-            <id>LocationTech - RELEASE</id>
-            <url>https://repo.locationtech.org/content/repositories/releases/</url>
-        </repository>
-    </repositories>
-
-    <scm>
-        <connection>scm:git:git://git.apache.org/incubator-rya.git</connection>
-        <developerConnection>scm:git:https://git-wip-us.apache.org/repos/asf/incubator-rya.git</developerConnection>
-        <tag>v3.2.10-SNAPSHOT</tag>
-        <url>https://git-wip-us.apache.org/repos/asf?p=incubator-rya.git</url>
-    </scm>
-</project>


Mime
View raw message